Tworzy lub aktualizuje politykę maskowania danych bazy danych.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/dataMaskingPolicies/Default?api-version=2025-01-01
Parametry identyfikatora URI
| Nazwa |
W |
Wymagane |
Typ |
Opis |
|
databaseName
|
path |
True
|
string
|
Nazwa bazy danych.
|
|
dataMaskingPolicyName
|
path |
True
|
DataMaskingPolicyName
|
Nazwa bazy danych, do której stosuje się politykę maskowania danych.
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Nazwa grupy zasobów. Nazwa jest niewrażliwa na wielkość liter.
|
|
serverName
|
path |
True
|
string
|
Nazwa serwera.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
Identyfikator subskrypcji docelowej. Wartość musi być identyfikatorem UUID.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Wersja interfejsu API do użycia dla tej operacji.
|
Treść żądania
| Nazwa |
Wymagane |
Typ |
Opis |
|
properties.dataMaskingState
|
True
|
DataMaskingState
|
Stan zasad maskowania danych.
|
|
properties.exemptPrincipals
|
|
string
|
Lista podmiotów zabezpieczeń wykluczonych. Określa rozdzieloną średnikami listę użytkowników bazy danych, dla których zasady maskowania danych nie mają zastosowania. Określeni użytkownicy otrzymują wyniki danych bez maskowania dla wszystkich zapytań bazy danych.
|
Odpowiedzi
| Nazwa |
Typ |
Opis |
|
200 OK
|
DataMaskingPolicy
|
Aktualizacja zasobu 'DataMaskingPolicy' zakończyła się sukcesem
|
|
201 Created
|
DataMaskingPolicy
|
Operacja tworzenia zasobu 'DataMaskingPolicy' zakończyła się sukcesem
|
|
Other Status Codes
|
ErrorResponse
|
Nieoczekiwana odpowiedź na błąd.
|
Zabezpieczenia
azure_auth
Przepływ OAuth2 w usłudze Azure Active Directory.
Typ:
oauth2
Flow:
implicit
Adres URL autoryzacji:
https://login.microsoftonline.com/common/oauth2/authorize
Zakresy
| Nazwa |
Opis |
|
user_impersonation
|
personifikacja konta użytkownika
|
Przykłady
Create or update data masking policy max
Przykładowe żądanie
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default?api-version=2025-01-01
{
"properties": {
"dataMaskingState": "Enabled",
"exemptPrincipals": "testuser;"
}
}
import com.azure.resourcemanager.sql.fluent.models.DataMaskingPolicyInner;
import com.azure.resourcemanager.sql.models.DataMaskingPolicyName;
import com.azure.resourcemanager.sql.models.DataMaskingState;
/**
* Samples for DataMaskingPolicies CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMax.json
*/
/**
* Sample code: Create or update data masking policy max.
*
* @param manager Entry point to SqlServerManager.
*/
public static void createOrUpdateDataMaskingPolicyMax(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getDataMaskingPolicies().createOrUpdateWithResponse("sqlcrudtest-6852",
"sqlcrudtest-2080", "sqlcrudtest-331", DataMaskingPolicyName.DEFAULT, new DataMaskingPolicyInner()
.withDataMaskingState(DataMaskingState.ENABLED).withExemptPrincipals("testuser;"),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python data_masking_policy_create_or_update_max.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.data_masking_policies.create_or_update(
resource_group_name="sqlcrudtest-6852",
server_name="sqlcrudtest-2080",
database_name="sqlcrudtest-331",
parameters={"properties": {"dataMaskingState": "Enabled", "exemptPrincipals": "testuser;"}},
)
print(response)
# x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMax.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a database data masking policy.
*
* @summary creates or updates a database data masking policy.
* x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMax.json
*/
async function createOrUpdateDataMaskingPolicyMax() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-1111-2222-3333-444444444444";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.dataMaskingPolicies.createOrUpdate(
"sqlcrudtest-6852",
"sqlcrudtest-2080",
"sqlcrudtest-331",
{ dataMaskingState: "Enabled", exemptPrincipals: "testuser;" },
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/DataMaskingPolicyCreateOrUpdateMax.json
// this example is just showing the usage of "DataMaskingPolicies_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this DataMaskingPolicyResource created on azure
// for more information of creating DataMaskingPolicyResource, please refer to the document of DataMaskingPolicyResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-6852";
string serverName = "sqlcrudtest-2080";
string databaseName = "sqlcrudtest-331";
DataMaskingPolicyName dataMaskingPolicyName = DataMaskingPolicyName.Default;
ResourceIdentifier dataMaskingPolicyResourceId = DataMaskingPolicyResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName, dataMaskingPolicyName);
DataMaskingPolicyResource dataMaskingPolicy = client.GetDataMaskingPolicyResource(dataMaskingPolicyResourceId);
// invoke the operation
DataMaskingPolicyData data = new DataMaskingPolicyData
{
DataMaskingState = DataMaskingState.Enabled,
ExemptPrincipals = "testuser;",
};
ArmOperation<DataMaskingPolicyResource> lro = await dataMaskingPolicy.UpdateAsync(WaitUntil.Completed, data);
DataMaskingPolicyResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
DataMaskingPolicyData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Przykładowa odpowiedź
{
"name": "Default",
"type": "Microsoft.Sql/servers/databases/dataMaskingPolicies",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default",
"kind": null,
"location": "Central US",
"properties": {
"applicationPrincipals": "",
"dataMaskingState": "Enabled",
"exemptPrincipals": "testuser;",
"maskingLevel": ""
}
}
{
"name": "Default",
"type": "Microsoft.Sql/servers/databases/dataMaskingPolicies",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default",
"kind": null,
"location": "Central US",
"properties": {
"applicationPrincipals": "",
"dataMaskingState": "Enabled",
"exemptPrincipals": "testuser;",
"maskingLevel": ""
}
}
Create or update data masking policy min.
Przykładowe żądanie
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default?api-version=2025-01-01
{
"properties": {
"dataMaskingState": "Enabled"
}
}
import com.azure.resourcemanager.sql.fluent.models.DataMaskingPolicyInner;
import com.azure.resourcemanager.sql.models.DataMaskingPolicyName;
import com.azure.resourcemanager.sql.models.DataMaskingState;
/**
* Samples for DataMaskingPolicies CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMin.json
*/
/**
* Sample code: Create or update data masking policy min.
*
* @param manager Entry point to SqlServerManager.
*/
public static void createOrUpdateDataMaskingPolicyMin(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getDataMaskingPolicies().createOrUpdateWithResponse("sqlcrudtest-6852",
"sqlcrudtest-2080", "sqlcrudtest-331", DataMaskingPolicyName.DEFAULT,
new DataMaskingPolicyInner().withDataMaskingState(DataMaskingState.ENABLED),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python data_masking_policy_create_or_update_min.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.data_masking_policies.create_or_update(
resource_group_name="sqlcrudtest-6852",
server_name="sqlcrudtest-2080",
database_name="sqlcrudtest-331",
parameters={"properties": {"dataMaskingState": "Enabled"}},
)
print(response)
# x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMin.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a database data masking policy.
*
* @summary creates or updates a database data masking policy.
* x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMin.json
*/
async function createOrUpdateDataMaskingPolicyMin() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-1111-2222-3333-444444444444";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.dataMaskingPolicies.createOrUpdate(
"sqlcrudtest-6852",
"sqlcrudtest-2080",
"sqlcrudtest-331",
{ dataMaskingState: "Enabled" },
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/DataMaskingPolicyCreateOrUpdateMin.json
// this example is just showing the usage of "DataMaskingPolicies_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this DataMaskingPolicyResource created on azure
// for more information of creating DataMaskingPolicyResource, please refer to the document of DataMaskingPolicyResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-6852";
string serverName = "sqlcrudtest-2080";
string databaseName = "sqlcrudtest-331";
DataMaskingPolicyName dataMaskingPolicyName = DataMaskingPolicyName.Default;
ResourceIdentifier dataMaskingPolicyResourceId = DataMaskingPolicyResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName, dataMaskingPolicyName);
DataMaskingPolicyResource dataMaskingPolicy = client.GetDataMaskingPolicyResource(dataMaskingPolicyResourceId);
// invoke the operation
DataMaskingPolicyData data = new DataMaskingPolicyData
{
DataMaskingState = DataMaskingState.Enabled,
};
ArmOperation<DataMaskingPolicyResource> lro = await dataMaskingPolicy.UpdateAsync(WaitUntil.Completed, data);
DataMaskingPolicyResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
DataMaskingPolicyData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Przykładowa odpowiedź
{
"name": "Default",
"type": "Microsoft.Sql/servers/databases/dataMaskingPolicies",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default",
"kind": null,
"location": "Central US",
"properties": {
"applicationPrincipals": "",
"dataMaskingState": "Enabled",
"exemptPrincipals": "",
"maskingLevel": ""
}
}
{
"name": "Default",
"type": "Microsoft.Sql/servers/databases/dataMaskingPolicies",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default",
"kind": null,
"location": "Central US",
"properties": {
"applicationPrincipals": "",
"dataMaskingState": "Enabled",
"exemptPrincipals": "",
"maskingLevel": ""
}
}
Definicje
createdByType
Wyliczenie
Typ tożsamości, która utworzyła zasób.
| Wartość |
Opis |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
DataMaskingPolicy
Objekt
Polityka maskowania danych bazy danych.
| Nazwa |
Typ |
Opis |
|
id
|
string
(arm-id)
|
W pełni kwalifikowany identyfikator zasobu dla zasobu. Np. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
kind
|
string
|
Taka polityka maskowania danych. Metadata, używane dla Azure portal.
|
|
location
|
string
|
Lokalizacja polityki maskowania danych.
|
|
name
|
string
|
Nazwa zasobu
|
|
properties.applicationPrincipals
|
string
|
Lista zasad aplikacji. Jest to starszy parametr i nie jest już używany.
|
|
properties.dataMaskingState
|
DataMaskingState
|
Stan zasad maskowania danych.
|
|
properties.exemptPrincipals
|
string
|
Lista podmiotów zabezpieczeń wykluczonych. Określa rozdzieloną średnikami listę użytkowników bazy danych, dla których zasady maskowania danych nie mają zastosowania. Określeni użytkownicy otrzymują wyniki danych bez maskowania dla wszystkich zapytań bazy danych.
|
|
properties.maskingLevel
|
string
|
Poziom maskowania. Jest to starszy parametr i nie jest już używany.
|
|
systemData
|
systemData
|
Metadane Azure Resource Manager zawierające informacje createdBy i modifiedBy.
|
|
type
|
string
|
Typ zasobu. Np. "Microsoft. Compute/virtualMachines" lub "Microsoft. Storage/storageAccounts"
|
DataMaskingPolicyName
Wyliczenie
Nazwa bazy danych, do której stosuje się politykę maskowania danych.
| Wartość |
Opis |
|
Default
|
Wartość domyślna
|
DataMaskingState
Wyliczenie
Stan zasad maskowania danych.
| Wartość |
Opis |
|
Enabled
|
Enabled
|
|
Disabled
|
Wyłączony
|
ErrorAdditionalInfo
Objekt
Dodatkowe informacje o błędzie zarządzania zasobami.
| Nazwa |
Typ |
Opis |
|
info
|
object
|
Dodatkowe informacje.
|
|
type
|
string
|
Dodatkowy typ informacji.
|
ErrorDetail
Objekt
Szczegóły błędu.
| Nazwa |
Typ |
Opis |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Błąd dodatkowe informacje.
|
|
code
|
string
|
Kod błędu.
|
|
details
|
ErrorDetail[]
|
Szczegóły błędu.
|
|
message
|
string
|
Komunikat o błędzie.
|
|
target
|
string
|
Cel błędu.
|
ErrorResponse
Objekt
Odpowiedź na błąd
systemData
Objekt
Metadane dotyczące tworzenia i ostatniej modyfikacji zasobu.
| Nazwa |
Typ |
Opis |
|
createdAt
|
string
(date-time)
|
Sygnatura czasowa tworzenia zasobu (UTC).
|
|
createdBy
|
string
|
Tożsamość, która utworzyła zasób.
|
|
createdByType
|
createdByType
|
Typ tożsamości, która utworzyła zasób.
|
|
lastModifiedAt
|
string
(date-time)
|
Znacznik czasu ostatniej modyfikacji zasobu (UTC)
|
|
lastModifiedBy
|
string
|
Tożsamość, która ostatnio zmodyfikowała zasób.
|
|
lastModifiedByType
|
createdByType
|
Typ tożsamości, która ostatnio zmodyfikowała zasób.
|